Subject: [DNSOP] draft-howard-isp-ip6rdns-07.txt

From: Lee Howard <[email-masked]>
Date: Tue, 31 Mar 2015 09:46:35 -0400

There's been no discussion since this revision.
The Chairs have asked for a couple of reviews. I've asked a couple of
folks, but haven't had any response.

Looking for a few folks to do a close read. Send notes to the list, and
I'll make necessary revisions. If it's baked, I think there's consensus.

Thanks,

Lee

On 2/15/15, 11:56 AM, "Lee Howard" <[email-masked]> wrote:

>Per discussion, I have added the four use cases discussed at a previous
>meeting.  
>The "Recommendations" section is now "Considerations and Recommendations."
>The guidance from the WG was that ISPs should be advised of how PTRs are
>used, so they can decide how important it is to populate them. I left in
>the recommendations from before, since an ISP might decide it's important.
>
>I think the references to other ongoing work are up to date, but let me
>know if I've missed anything, please.
>
>We had pretty strong support the last time we discussed aloud (spontaneous
>applause).  Is this document ripe for publication?
>
>
>Thanks,
>Lee
>
>On 2/15/15 11:46 AM, "[email-masked]" <[email-masked]>
>wrote:
>
>>
>>A new version of I-D, draft-howard-isp-ip6rdns-07.txt
>>has been successfully submitted by Lee Howard and posted to the
>>IETF repository.
>>
>>Name:		draft-howard-isp-ip6rdns
>>Revision:	07
>>Title:		Reverse DNS in IPv6 for Internet Service Providers
>>Document date:	2015-02-16
>>Group:		Individual Submission
>>Pages:		14
>>URL:            
>>http://www.ietf.org/internet-drafts/draft-howard-isp-ip6rdns-07.txt
>>Status:         
>>https://datatracker.ietf.org/doc/draft-howard-isp-ip6rdns/
>>Htmlized:       http://tools.ietf.org/html/draft-howard-isp-ip6rdns-07
>>Diff:           
>>http://www.ietf.org/rfcdiff?url2=draft-howard-isp-ip6rdns-07
>>
>>Abstract:
>>   In IPv4, Internet Service Providers (ISPs) commonly provide IN-
>>   ADDR.ARPA information for their customers by prepopulating the zone
>>   with one PTR record for every available address.  This practice does
>>   not scale in IPv6.  This document analyzes different approaches and
>>   considerations for ISPs in managing the ip6.arpa zone for IPv6
>>   address space assigned to many customers.
>>
>>                 
>>        
>>
>>
>>Please note that it may take a couple of minutes from the time of
>>submission
>>until the htmlized version and diff are available at tools.ietf.org.
>>
>>The IETF Secretariat
>>
>
>
>_______________________________________________
>DNSOP mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/dnsop
>

---

From: Stephan Lagerholm <[email-masked]>
Date: Tue, 31 Mar 2015 16:33:00 +0000

Hi Lee,

I will review. 

Thanks, Stephan

> -----Original Message-----
> From: DNSOP [mailto:[email-masked]] On Behalf Of Lee Howard
> Sent: Tuesday, March 31, 2015 6:47 AM
> To: [email-masked]
> Subject: [DNSOP] draft-howard-isp-ip6rdns-07.txt
> 
> The Chairs have asked for a couple of reviews. I've asked a couple of folks,
> but haven't had any response.
> 
> Looking for a few folks to do a close read. Send notes to the list, and I'll make
> necessary revisions. If it's baked, I think there's consensus.
> 
> Thanks,
> 
> Lee
> 
> >The guidance from the WG was that ISPs should be advised of how PTRs
> >are used, so they can decide how important it is to populate them. I
> >left in the recommendations from before, since an ISP might decide it's
> important.
> >
> >We had pretty strong support the last time we discussed aloud
> >(spontaneous applause).  Is this document ripe for publication?
> >
> >
> >Thanks,
> >Lee
> >
> >>A new version of I-D, draft-howard-isp-ip6rdns-07.txt has been
> >>successfully submitted by Lee Howard and posted to the IETF
> >>repository.
> >>
> >>submission until the htmlized version and diff are available at
> >>tools.ietf.org.
> >>
> >>The IETF Secretariat
> >>
> >
> >

---

From: Sean Stuart <[email-masked]>
Date: Tue, 31 Mar 2015 19:03:17 -0400

Lee,

I will read through this in the next day or so. 

Thanks,
Sean

> On Mar 31, 2015, at 9:46 AM, Lee Howard <[email-masked]> wrote:
>

---

From: "John Levine" <[email-masked]>
Date: 1 Apr 2015 04:20:19 -0000

>I'll make necessary revisions. If it's baked, I think there's consensus.

I read through it.  It's basically fine but of course here are a few suggestions.

I'd redo sec 1.2 to make it clearer what the serious problems are.  I
don't think that the length of the names is a big deal, computers can
deal with that.  The problems are a) the address space is far too
large to cover with static names as we do in IPv4 and, b) you can't
easily tell where the hosts are.  On IPv4 networks, addresses are
usually configured either statically or by DHCP, so the network
operator knows what addresses are assigned befor the hosts do.  On
IPv6, SLAAC means that hosts choose addresses effectively at random,
so there are new and not widely used mechanisms (described later) to
percolate those addresses back to the network and assign names to
them.

It would also be reasonable to offer as a concrete proposal that hosts with
static addresses have forward and reverse DNS, while those without have no
rDNS, and don't have forward DNS provided by the ISP.  (If they want to use
dyndns, go ahead.)

In the list of ways to dynamically insert DNS records, it seems to me
that most current home gateways are plenty capable to act as DNS
servers or whatever, so the issue isn't that they can't, but that
nontechnical users wouldn't be able to manage them, while malware
would.

R's,
John